cURL
curl --request POST \
--url https://api-staging.smatvirtual.com/api/v1.1/operator-api/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"countryCodes": [
"<string>"
],
"companyName": "<string>",
"email": "<string>",
"providerId": 123
}
'import requests
url = "https://api-staging.smatvirtual.com/api/v1.1/operator-api/create"
payload = {
"countryCodes": ["<string>"],
"companyName": "<string>",
"email": "<string>",
"providerId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
countryCodes: ['<string>'],
companyName: '<string>',
email: '<string>',
providerId: 123
})
};
fetch('https://api-staging.smatvirtual.com/api/v1.1/operator-api/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"email": "<string>",
"password": "<string>",
"accountStatus": "<string>",
"clientId": "<string>",
"companyName": "<string>",
"country": "<string>",
"currency": "<string>",
"encryptionKey": "<string>",
"hashedClientId": "<string>",
"phoneNumber": "<string>",
"privateKey": "<string>",
"providerId": 123,
"publicKey": "<string>",
"MerchantSettings": {
"id": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"agentPercentProfit": 123,
"callbackUrl": "<string>",
"colorGameProfit": 123,
"cupImageUrl": "<string>",
"fontFamilyUrl": "<string>",
"hideBalance": true,
"logo1xUrl": "<string>",
"logo2xUrl": "<string>",
"minimumStake": 123,
"maximumStake": 123,
"lottoGameProfit": 123,
"megaTenGameProfit": 123,
"merchantId": 123,
"merchantPercentProfit": 123,
"oddEvenGameProfit": 123,
"providerPercentProfit": 123,
"shopDetailsUrl": "<string>",
"singleGameProfit": 123,
"superProviderPercentProfit": 123,
"underOverGameProfit": 123,
"userDetailsUrl": "<string>",
"userPercentProfit": 123,
"webhookUrl": "<string>",
"creditWebhookUrl": "<string>",
"debitWebhookUrl": "<string>",
"refundWebhookUrl": "<string>",
"isSeperateWebhookUrl": true
},
"isDefaultPassword": true,
"otpToken": "<string>",
"verifiedEmail": true
}Endpoints
Create New Merchant
POST
/
api
/
v1.1
/
operator-api
/
create
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
The merchant was successfully created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
